Bug 1384180 - Cannot add movies to Blender
Summary: Cannot add movies to Blender
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-12 18:22 UTC by Yajo
Modified: 2019-02-19 17:11 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 22:07:27 UTC


Attachments (Terms of Use)

Description Yajo 2016-10-12 18:22:23 UTC
Description of problem:
Using its built-in Video Sequence Editor, I cannot input any video file.

Version-Release number of selected component (if applicable):
blender-2.77a-1.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open Blender.
2. Open its Video Sequence Editor.
3. Press Shift+A.
4. Choose "Video".
5. Choose a video file.

Actual results:
UI says:
  File /home/yajo/Vídeos/GOPR4948-20161012-194939.webm could not be loaded
Console logs say:
  not an anim: /home/yajo/Vídeos/GOPR4948-20161012-194939.webm

Expected results:
File loaded.

Additional info:
I only tried with MP4 and webm files.
This thread seems related: http://blender.stackexchange.com/questions/28839/cannot-load-movie-files-on-ubuntu
It suggests to add ffmpeg support at compile time. I hope that's possible.
I have ffmpeg installed from RPMFusion, with no luck.

Comment 1 Yajo 2016-10-13 07:02:03 UTC
Workaround: Install from blender.org

Comment 2 Luya Tshimbalanga 2016-10-15 01:50:52 UTC
Hi Yajo, 
Unfortunately ffmpeg support for Blender 3D in Fedora version is disabled due to the encumbered patents it contains. Please read this information about software patents (https://fedoraproject.org/wiki/Software_Patents). A side effect of ffpmpeg being the sole video plugin impacts the support of unencumbered patented codecs like webm and ogg.

An alternative will be supporting gstreamer but that request needs to be addressed upstream. I hope these information helps clarifying the current condition of Video Sequence Editor in Blender.

Comment 3 Yajo 2016-10-17 09:09:45 UTC
Thanks, reported upstream: https://developer.blender.org/T49752

Comment 4 Yajo 2016-10-17 10:53:42 UTC
They answered a intelligent option. Any thoughts on https://developer.blender.org/T49752#399201, please?

(Sorry for reopening, close it again if you still consider this a CANTFIX please)

Comment 5 Nicolas Chauvet (kwizart) 2016-10-17 14:29:46 UTC
So, no it's not possible for us to do the same as debian.
IIRC, debian only disable encoders that might be patented and leaves all decoders.

Also, it's not only a matter to make a single ffmpeg disabled version and shooting such nuked version to the users face. It has to be maintainable across versions instead.

I would voice for having a look at what is done with firefox instead.
That might be interesting for blender upstream because that's an equivalent situation with them. Right now, firefox is built with the ffmpeg headers, but does not link to ffmpeg libraries, instead they dlopen them at runtime which allows them to enabled the possibly patented codecs.

The last solution that might be available is for blender upstream to provide flatpak, so that will be compatible with every distro out there.

Comment 6 Yajo 2016-10-18 07:31:05 UTC
Do you think you could join that upstream thread I linked above and speak directly to them about these things?

After all you are the one with this knowledge and me just a user...

Thanks! :)

Comment 7 Yajo 2016-10-31 08:27:05 UTC
After reading upstream's answer, although I certainly consider your solution is better, I have been reading about ffmpeg compilation, and there are acouple of interesting links:

https://trac.ffmpeg.org/wiki/CompilationGuide/Centos#FFmpeg
https://github.com/FFmpeg/FFmpeg/blob/master/LICENSE.md

It seems you can certainly enable only the free-of-patent-problems parts of FFmpeg, what would be the legal problem with packaging that?

Comment 8 Fedora End Of Life 2017-07-25 23:27:11 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Luya Tshimbalanga 2017-07-26 23:38:43 UTC
Assigned to rawhide for legal issue related to ffmpeg.

Comment 10 Nicolas Chauvet (kwizart) 2017-07-27 07:19:45 UTC
One way would be to pick the ffmpeg-clean script from chromium and to apply to blender builtin ffmpeg.
This should have both tests and legal review...

Comment 11 Luya Tshimbalanga 2017-07-28 05:26:17 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #10)
> One way would be to pick the ffmpeg-clean script from chromium and to apply
> to blender builtin ffmpeg.
> This should have both tests and legal review...

Could you work on that approach and provide the resulted scratch build please?

Comment 12 Nicolas Chauvet (kwizart) 2017-07-28 06:37:16 UTC
No sorry, I can't handle the tasks in the foreseeable future

Comment 13 Jan Kurik 2017-08-15 06:39:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 14 Ben Cotton 2018-11-27 15:02:49 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 22:07:27 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 16 Suvayu 2018-11-30 23:56:24 UTC
I can reproduce this in F28 (and possibly F29).  I can't change the version, can someone do it please?

Comment 17 Luya Tshimbalanga 2018-12-01 05:57:37 UTC
Sure. Blender requires ffmpeg which cannot be legally included in the Fedora repository.

Comment 18 Suvayu 2018-12-01 08:30:47 UTC
Hi Luya,

I know about the dependency.  Is it technically possible that the feature be available if the dependency is satisfied externally?  That would be a reasonable compromise.  Have an entire mode of operation of such a great piece of software rendered completely useless is quite frustrating.

The thing is, I have both the Fedora packaged blender, and the tarball released by upsteam, and neither work for me.  :-|

Comment 19 Nicolas Chauvet (kwizart) 2018-12-01 08:36:38 UTC
It could be possible to have a (dramatically disabled and) curated ffmpeg builtin the same way the fedora chromium has one (looking at re-using the chromium scripts). It will not be able to run h264 or any other random patented codec. (but then can be be re-encoded using an external program).

This would requires a huge load of validation, so that it doesn't lead to crash if a disabled codec is requested from blender ui while not been available in the builtin ffmpeg version.

Comment 20 Suvayu 2018-12-01 08:43:17 UTC
That sounds like a major undertaking.  I'll leave it for the experts decide :).  FWIW, as a regular user, I think it would be a very worthy addition to Fedora.

Comment 21 Yajo 2018-12-03 08:41:29 UTC
I wonder if the flathub version works fine.

https://flathub.org/apps/details/org.blender.Blender

Comment 22 Ben Cotton 2019-02-19 17:11:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.


Note You need to log in before you can comment on or make changes to this bug.